Bug 1361139 (CVE-2016-6508)

Summary: CVE-2016-6508 wireshark: RLC long loop (wnpa-sec-2016-44)
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: huzaifas, lemenkov, msehnout, phatina
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Wireshark 2.0.5, Wireshark 1.12.13 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:56:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1361146    
Bug Blocks:    

Description Adam Mariš 2016-07-28 11:55:50 UTC
It was reported that Wireshark could crash. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Upstream bug(s):

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=12660

External References:

https://www.wireshark.org/security/wnpa-sec-2016-44.html

Comment 1 Adam Mariš 2016-07-28 12:00:48 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1361146]

Comment 2 Fedora Update System 2016-08-01 16:25:22 UTC
wireshark-2.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.